List<dynamic> allGroupsForUser = [
  {
    "id": 32052,
    "web_url": "https://jihulab.com/groups/ultimate-plan/demo",
    "name": "Demo",
    "path": "demo",
    "description": "",
    "visibility": "public",
    "share_with_group_lock": false,
    "require_two_factor_authentication": false,
    "two_factor_grace_period": 48,
    "project_creation_level": "developer",
    "auto_devops_enabled": null,
    "subgroup_creation_level": "maintainer",
    "emails_disabled": null,
    "mentions_disabled": null,
    "lfs_enabled": true,
    "default_branch_protection": 2,
    "avatar_url": null,
    "request_access_enabled": true,
    "full_name": "旗舰版演示 / Demo",
    "full_path": "ultimate-plan/demo",
    "created_at": "2022-05-13T09:33:05.874+08:00",
    "parent_id": 14276,
    "ldap_cn": null,
    "ldap_access": null,
    "marked_for_deletion_on": null
  },
  {
    "id": 78437,
    "web_url": "https://jihulab.com/groups/free-plan/demo",
    "name": "Demo（不能开源，否则变成了旗舰版）",
    "path": "demo",
    "description": "",
    "visibility": "private",
    "share_with_group_lock": false,
    "require_two_factor_authentication": false,
    "two_factor_grace_period": 48,
    "project_creation_level": "developer",
    "auto_devops_enabled": null,
    "subgroup_creation_level": "maintainer",
    "emails_disabled": null,
    "mentions_disabled": null,
    "lfs_enabled": true,
    "default_branch_protection": 2,
    "avatar_url": null,
    "request_access_enabled": true,
    "full_name": "免费版演示 / Demo（不能开源，否则变成了旗舰版）",
    "full_path": "free-plan/demo",
    "created_at": "2022-09-06T17:38:57.644+08:00",
    "parent_id": 14269,
    "ldap_cn": null,
    "ldap_access": null
  }
];
